Skip to main content
PATCH
/
api
/
v1
/
providers
/
{id}
Patch Provider
curl --request PATCH \
  --url https://api.example.com/api/v1/providers/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "location": "<string>",
  "agent_card": {
    "capabilities": {
      "extensions": [
        {
          "uri": "<string>",
          "description": "<string>",
          "params": {},
          "required": true
        }
      ],
      "pushNotifications": true,
      "stateTransitionHistory": true,
      "streaming": true
    },
    "defaultInputModes": [
      "<string>"
    ],
    "defaultOutputModes": [
      "<string>"
    ],
    "description": "<string>",
    "name": "<string>",
    "skills": [
      {
        "description": "<string>",
        "id": "<string>",
        "name": "<string>",
        "tags": [
          "<string>"
        ],
        "examples": [
          "I need a recipe for bread"
        ],
        "inputModes": [
          "<string>"
        ],
        "outputModes": [
          "<string>"
        ],
        "security": [
          {
            "google": [
              "oidc"
            ]
          }
        ]
      }
    ],
    "url": "<string>",
    "version": "<string>",
    "additionalInterfaces": [
      {
        "transport": "<string>",
        "url": "<string>"
      }
    ],
    "documentationUrl": "<string>",
    "iconUrl": "<string>",
    "preferredTransport": "JSONRPC",
    "protocolVersion": "0.3.0",
    "provider": {
      "organization": "<string>",
      "url": "<string>"
    },
    "security": [
      {
        "oauth": [
          "read"
        ]
      },
      {
        "api-key": [],
        "mtls": []
      }
    ],
    "securitySchemes": {},
    "signatures": [
      {
        "protected": "<string>",
        "signature": "<string>",
        "header": {}
      }
    ],
    "supportsAuthenticatedExtendedCard": true
  },
  "variables": {},
  "origin": "<string>",
  "auto_stop_timeout_sec": 900
}
'
{
  "source": "<string>",
  "origin": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_card": {
    "capabilities": {
      "extensions": [
        {
          "uri": "<string>",
          "description": "<string>",
          "params": {},
          "required": true
        }
      ],
      "pushNotifications": true,
      "stateTransitionHistory": true,
      "streaming": true
    },
    "defaultInputModes": [
      "<string>"
    ],
    "defaultOutputModes": [
      "<string>"
    ],
    "description": "<string>",
    "name": "<string>",
    "skills": [
      {
        "description": "<string>",
        "id": "<string>",
        "name": "<string>",
        "tags": [
          "<string>"
        ],
        "examples": [
          "I need a recipe for bread"
        ],
        "inputModes": [
          "<string>"
        ],
        "outputModes": [
          "<string>"
        ],
        "security": [
          {
            "google": [
              "oidc"
            ]
          }
        ]
      }
    ],
    "url": "<string>",
    "version": "<string>",
    "additionalInterfaces": [
      {
        "transport": "<string>",
        "url": "<string>"
      }
    ],
    "documentationUrl": "<string>",
    "iconUrl": "<string>",
    "preferredTransport": "JSONRPC",
    "protocolVersion": "0.3.0",
    "provider": {
      "organization": "<string>",
      "url": "<string>"
    },
    "security": [
      {
        "oauth": [
          "read"
        ]
      },
      {
        "api-key": [],
        "mtls": []
      }
    ],
    "securitySchemes": {},
    "signatures": [
      {
        "protected": "<string>",
        "signature": "<string>",
        "header": {}
      }
    ],
    "supportsAuthenticatedExtendedCard": true
  },
  "state": "missing",
  "type": "managed",
  "managed": true,
  "env": [
    {
      "name": "<string>",
      "description": "<string>",
      "required": false
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auto_stop_timeout": "PT20M",
  "version_info": {
    "docker": {
      "registry": "<string>",
      "repository": "<string>",
      "tag": "<string>",
      "digest": "<string>",
      "image_id": "<string>"
    },
    "github": {
      "org": "<string>",
      "repo": "<string>",
      "version": "<string>",
      "version_type": "head",
      "commit_hash": "<string>",
      "host": "github.com",
      "path": "<string>"
    }
  },
  "registry": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_active_at": "2023-11-07T05:31:56Z",
  "last_error": {
    "message": "<string>"
  },
  "missing_configuration": [
    {
      "name": "<string>",
      "description": "<string>",
      "required": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string<uuid>
required

Body

application/json
location
agent_card
AgentCard · object

The AgentCard is a self-describing manifest for an agent. It provides essential metadata including the agent's identity, capabilities, skills, supported communication methods, and security requirements.

variables
Variables · object
origin
string | null

A unique origin of the provider: most often a docker or github repository url (without tag). This is used to determine multiple versions of the same agent. None means that origin will be recomputed from location. To preserve original value, set it explicitly.

auto_stop_timeout_sec
integer | null

Timeout after which the agent provider will be automatically downscaled if unused.Contact administrator if you need to increase this value.

Required range: 0 < x <= 1800

Response

Successful Response

source
required
origin
string
required
created_by
string<uuid>
required
agent_card
AgentCard · object
required

The AgentCard is a self-describing manifest for an agent. It provides essential metadata including the agent's identity, capabilities, skills, supported communication methods, and security requirements.

state
required
Available options:
missing,
starting,
ready,
running,
error
type
enum<string>
required
Available options:
managed,
unmanaged
managed
boolean
required
env
EnvVar · object[]
required
id
string<uuid>
auto_stop_timeout
string<duration>
default:PT20M
version_info
VersionInfo · object
registry
created_at
string<date-time>
updated_at
string<date-time>
last_active_at
string<date-time>
last_error
ProviderErrorMessage · object
missing_configuration
EnvVar · object[]